### Method

# EDataServer Source compare_by_display_name

since: 3.6

#### Declaration [src]

    gint
    e_source_compare_by_display_name (
      ESource* source1,
      ESource* source2
    )

#### Description [src]

Compares two `ESource` instances by their display names. Useful for ordering sources in a user interface.

Available since: 3.6

#### Parameters

`source2`

  Type: `ESource`

  The second `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

A negative value if `source1` compares before `source2`, zero if they compare equal, or a positive value if `source1` compares after `source2`.